com.smartgwt.client.types

## Enum TileLayoutPolicy

- java.lang.Object
- - java.lang.Enum<TileLayoutPolicy>
  - - com.smartgwt.client.types.TileLayoutPolicy

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<TileLayoutPolicy>

      public enum TileLayoutPolicy
      extends java.lang.Enum<TileLayoutPolicy>
      implements ValueEnum

  Policy for laying out tiles.

  Because a TileLayout can be either horizontally or vertically oriented, the general term "line" is used to mean either a row or column of tiles.

  NOTE: for typical form layouts (a variety of input fields and buttons in a tabular layout with col-spanning and row-spanning support), use a `DynamicForm` and see the `FormLayout` topic.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIT` Each line has the same number of tiles, based on `tilesPerLine` if set, otherwise, based on fitting as many tiles per line as possible consistent with `tileSize` and `tileMargin`.
    `FLOW` Tiles are laid out with varying numbers of tiles per line according to each tile's size, the `tileMargin`, and the available space.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static TileLayoutPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TileLayoutPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIT

          public static final TileLayoutPolicy FIT

      Each line has the same number of tiles, based on `tilesPerLine` if set, otherwise, based on fitting as many tiles per line as possible consistent with `tileSize` and `tileMargin`.

      Tiles that do not specify a size will be sized to fill available space.

    - #### FLOW

          public static final TileLayoutPolicy FLOW

      Tiles are laid out with varying numbers of tiles per line according to each tile's size, the `tileMargin`, and the available space.

      Tiles are never resized by the TileLayout and `tileSize` is ignored.

  - ### Method Detail

    - #### values

          public static TileLayoutPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TileLayoutPolicy c : TileLayoutPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TileLayoutPolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`